Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class DynamicRequestEndpoint

    java.lang.Object
      org.mule.endpoint.DynamicURIInboundEndpoint
          org.mule.module.ibeans.spi.support.DynamicRequestEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Startable, Stoppable, MessageSource, MessageRequesting

Direct Known Subclasses:
  CallRequestEndpoint

    public class DynamicRequestEndpoint

extends DynamicURIInboundEndpoint

A dynamic request endpoint is used in conjunction with the `Call` annotation when there are no `org.ibeans.annotation.param.Payload`, `org.ibeans.annotation.param.PayloadParam` or `HeaderParam` annotations on a method and allows a dynamic `InboundEndpoint` to be created. This endpoint is then used via the Mule `MessageRequester` interface to make a specific request to a transport for a message.

See Also:
  Serialized Form

Field Summary
`static String` | `EVAL_PARAM_PROPERTY`
`protected AbstractConnector` | `localConnector`
`protected Log` | `logger` logger used by this class
`protected TemplateParser` | `parser`
`protected String` | `uri`

Fields inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`endpoint`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`DynamicRequestEndpoint(InboundEndpoint endpoint, String uri)`

Method Summary
`boolean` | `equals(Object o)`
`Connector` | `getConnector()` The endpoint that will be used to send the message on.
`protected EndpointURI` | `getEndpointURIForMessage(MuleMessage message)`
`protected AbstractConnector` | `getLocalConnector()`
`protected Map<String,Object>` | `getPropertiesForTemplate(MuleMessage message)`
`int` | `hashCode()`
`MuleMessage` | `request(long timeout, MuleMessage message)`

Methods inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, request, setEndpointURI, setFlowConstruct, setListener, start, stop`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVAL_PARAM_PROPERTY

    public static final String EVAL_PARAM_PROPERTY

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

  logger used by this class

### uri

    protected String uri

### localConnector

    protected AbstractConnector localConnector

### parser

    protected TemplateParser parser

Constructor Detail

### DynamicRequestEndpoint

    public DynamicRequestEndpoint(InboundEndpoint endpoint,
                                  String uri)

Method Detail

### getPropertiesForTemplate

    protected Map<String,Object> getPropertiesForTemplate(MuleMessage message)

### getEndpointURIForMessage

    protected EndpointURI getEndpointURIForMessage(MuleMessage message)
                                            throws MessagingException

  Throws:
    `MessagingException`

### getConnector

    public Connector getConnector()

  Description copied from interface: `ImmutableEndpoint`
  The endpoint that will be used to send the message on. It is important that the endpointUri and the connection correlate i.e. if your endpointUri is a jms queue your connection must be a JMS endpoint.

  Specified by:
    `getConnector` in interface `ImmutableEndpoint`
  Overrides:
    `getConnector` in class `DynamicURIInboundEndpoint`
  Returns:
    the endpoint associated with the endpoint

### getLocalConnector

    protected AbstractConnector getLocalConnector()
                                           throws MuleException

  Throws:
    `MuleException`

### request

    public MuleMessage request(long timeout,
                               MuleMessage message)
                        throws Exception

  Throws:
    `Exception`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `DynamicURIInboundEndpoint`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DynamicURIInboundEndpoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.